package dao

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/business/model"
	"git.rosy.net.cn/jx-callback/globals"
)

func TestGetStoreDetail(t *testing.T) {
	storeDetail, err := GetStoreDetailByVendorStoreID(GetDB(), "11733077", 0, "全部")
	if err != nil {
		t.Fatal(err)
	}
	globals.SugarLogger.Debug(utils.Format4Output(storeDetail, false))
}

func TestGetStoreCourierList(t *testing.T) {
	storeCourierList, err := GetStoreCourierList(GetDB(), []int{100119}, nil, model.StoreStatusOpened, model.StoreAuditStatusOnline)
	if err != nil {
		t.Fatal(err)
	}
	globals.SugarLogger.Debug(utils.Format4Output(storeCourierList, false))
}

func TestFormalizeStoreStatus(t *testing.T) {
	err := FormalizeStoreStatus(GetDB(), 100119, model.StoreStatusOpened)
	if err != nil {
		t.Fatal(err)
	}
}

func TestGetStoreList4Role(t *testing.T) {
	storeList, err := GetStoreList(GetDB(), nil, nil, nil, nil, []string{"18048531223"}, "全部")
	t.Log(utils.Format4Output(storeList, false))
	if err != nil {
		t.Fatal(err)
	}
}

func TestGetStoresMapList(t *testing.T) {
	storeList, err := GetStoresMapList(GetDB(), nil, nil, nil, model.StoreStatusClosed, model.StoreIsSyncYes, "", "", "全部")
	t.Log(utils.Format4Output(storeList, false))
	if err != nil {
		t.Fatal(err)
	}
}
